// BitmapLoadView.h : Schnittstelle der Klasse CBitmapLoadView
//


#pragma once


class CBitmapLoadView : public CScrollView
{
protected: // Nur aus Serialisierung erstellen
	CBitmapLoadView();
	DECLARE_DYNCREATE(CBitmapLoadView)

// Attribute
public:
	CBitmapLoadDoc* GetDocument() const;

// Vorgnge
public:

// berschreibungen
public:
	virtual void OnDraw(CDC* pDC);  // berschrieben, um diese Ansicht darzustellen
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
protected:
	virtual void OnInitialUpdate(); // Erster Aufruf nach Erstellung
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementierung
public:
	virtual ~CBitmapLoadView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:
	// Toolbar-Button "Bitmap laden"
	void OnLoadBitmap(void);
private:
	/** Dieses Bild soll dargestellt werden */
	CImage *image;
	/** Initialgre des Fensters (ntig damit das Fenster
	 *  beim Anzeigen eines kleineren Bilds nicht schrumpft) */
	CSize sizeInitial;


// Generierte Funktionen fr die Meldungstabellen
protected:
	DECLARE_MESSAGE_MAP()
};

#ifndef _DEBUG  // Debugversion in BitmapLoadView.cpp
inline CBitmapLoadDoc* CBitmapLoadView::GetDocument() const
   { return reinterpret_cast<CBitmapLoadDoc*>(m_pDocument); }
#endif

